Bug 187688 - [patch] [maintainer] games/tome4: fix with nvidia cards
[patch] [maintainer] games/tome4: fix with nvidia cards
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rusmir Dusko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-18 01:40 UTC by Nikolai Lifanov
Modified: 2014-03-24 01:10 UTC (History)
0 users

See Also:


Attachments
patch.txt (1.29 KB, text/plain)
2014-03-18 01:40 UTC, Nikolai Lifanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov 2014-03-18 01:40:00 UTC
	This removes an erroneously-added patch that broke the port at runtime with nvidia cards.
	This is reported by m.tsatsenko@gmail.com in ports/186565.
	Once this patch is committed, the other PR can be closed.

How-To-Repeat: 	1) get an nvidia card with x11/nvidia-driver
	2) make -C /usr/ports/games/tome4 install
	3) tome4
Comment 1 Rusmir Dusko freebsd_committer 2014-03-24 00:45:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

I'll take it.
Comment 2 Rusmir Dusko freebsd_committer 2014-03-24 01:02:33 UTC
State Changed
From-To: open->closed

Maintainer have fixed usage with nVidia cards
Comment 3 dfilter freebsd_committer 2014-03-24 01:09:28 UTC
Author: nemysis
Date: Mon Mar 24 01:09:24 2014
New Revision: 348917
URL: http://svnweb.freebsd.org/changeset/ports/348917
QAT: https://qat.redports.org/buildarchive/r348917/

Log:
  - Bump PORTREVISION
  - Change Desktop entry file
  - Remove not needed MKDIR
  - Adjust patches, fix usage with nvidia cards
  
  PR:		ports/187688, ports/186565
  Submitted by:	Nikolai Lifanov <lifanov@mail.lifanov.com>,
  		"Mikhail T." <m.tsatsenko@gmail.com>

Modified:
  head/games/tome4/Makefile
  head/games/tome4/files/patch-build__te4core.lua   (contents, props changed)
  head/games/tome4/files/patch-premake4.lua   (contents, props changed)

Modified: head/games/tome4/Makefile
==============================================================================
--- head/games/tome4/Makefile	Mon Mar 24 00:55:05 2014	(r348916)
+++ head/games/tome4/Makefile	Mon Mar 24 01:09:24 2014	(r348917)
@@ -3,6 +3,7 @@
 
 PORTNAME=	tome4
 PORTVERSION=	1.1.5
+PORTREVISION=	1
 CATEGORIES=	games
 MASTER_SITES=	http://te4.org/dl/t-engine/ \
 		SF/lifanov-ports-icons/${PORTNAME}/:icons
@@ -18,8 +19,8 @@ LICENSE=	GPLv3
 BUILD_DEPENDS=	premake4:${PORTSDIR}/devel/premake4
 LIB_DEPENDS=	libvorbisfile.so:${PORTSDIR}/audio/libvorbis
 
-DESKTOP_ENTRIES="ToME 4" "${COMMENT}" "${PORTNAME}" \
-		"${PORTNAME}" "Game;RolePlaying;" false
+DESKTOP_ENTRIES="ToME 4" "" "${PORTNAME}" \
+		"${PORTNAME}" "Game;RolePlaying;" ""
 
 WRKSRC=		${WRKDIR}/t-engine4-src-${PORTVERSION}
 MAKE_ARGS+=	config=release verbose=yes ARCH=""
@@ -27,19 +28,17 @@ USES=		gmake openal:al tar:bzip2
 USE_SDL=	image2 sdl2 ttf2
 USE_GL=		gl
 SUB_FILES=	tome4
-
 MAKE_JOBS_UNSAFE=yes
 
 pre-build:
-	(cd ${WRKSRC}; premake4 gmake)
+	(cd ${WRKSRC} && premake4 gmake)
 	@${REINPLACE_CMD} 's|-lpthread|-pthread|' ${WRKSRC}/build/TEngine.make
 
 do-install:
-	${MKDIR} ${STAGEDIR}${DATADIR}
-	${MKDIR} ${STAGEDIR}${PREFIX}/bin
+	@${MKDIR} ${STAGEDIR}${DATADIR}
 
 	${INSTALL_PROGRAM} ${WRKSRC}/t-engine ${STAGEDIR}${DATADIR}
-	${INSTALL} -m 0755 ${WRKDIR}/tome4 ${STAGEDIR}${PREFIX}/bin
+	${INSTALL} -m 0755 ${WRKDIR}/tome4 ${STAGEDIR}${PREFIX}/bin/
 	(cd ${WRKSRC}; ${COPYTREE_SHARE} "bootstrap game" ${STAGEDIR}${DATADIR})
 
 	${INSTALL_DATA} ${_DISTDIR}/${PORTNAME}.png \

Modified: head/games/tome4/files/patch-build__te4core.lua
==============================================================================
--- head/games/tome4/files/patch-build__te4core.lua	Mon Mar 24 00:55:05 2014	(r348916)
+++ head/games/tome4/files/patch-build__te4core.lua	Mon Mar 24 01:09:24 2014	(r348917)
@@ -1,14 +1,5 @@
 --- ./build/te4core.lua.orig	2014-01-05 19:42:37.000000000 -0500
-+++ ./build/te4core.lua	2014-02-06 13:23:22.476164878 -0500
-@@ -109,7 +109,7 @@
- 
- 	configuration "bsd"
- 		libdirs {"/usr/local/lib/"}
--		links { "SDL2", "SDL2_ttf", "SDL2_image", "png", "openal", "vorbisfile", "GL", "GLU", "m", "pthread" }
-+		links { "SDL2", "SDL2_ttf", "SDL2_image", "png", "openal", "vorbisfile", "GL", "GLU", "m" }
- 		defines { [[TENGINE_HOME_PATH='".t-engine"']], 'SELFEXE_BSD' }
- 
- 	configuration {"Debug"}
++++ ./build/te4core.lua	2014-01-05 19:42:37.000000000 -0500
 @@ -159,7 +159,7 @@
  
  		files { "../src/luajit2/src/host/minilua.c" }

Modified: head/games/tome4/files/patch-premake4.lua
==============================================================================
--- head/games/tome4/files/patch-premake4.lua	Mon Mar 24 00:55:05 2014	(r348916)
+++ head/games/tome4/files/patch-premake4.lua	Mon Mar 24 01:09:24 2014	(r348917)
@@ -1,6 +1,12 @@
---- ./premake4.lua.orig	2014-02-06 13:23:35.469164876 -0500
-+++ ./premake4.lua	2014-02-06 13:34:48.071117476 -0500
-@@ -35,6 +35,9 @@
+--- ./premake4.lua.orig	2014-01-06 20:04:42.000000000 -0500
++++ ./premake4.lua	2014-03-23 19:34:38.037102075 -0400
+@@ -30,11 +30,14 @@
+ 
+ configuration "bsd"
+ 	libdirs {
+-		"/usr/local/lib",
++		"bin/Release", "/usr/local/lib",
+ 	}
  	includedirs {
  		"/usr/local/include",
  	}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"